petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESLineSearchShellGetUserFunc

Gets the user function and context for the shell implementation.

### Synopsis

    PetscErrorCode SNESLineSearchShellGetUserFunc(SNESLineSearch linesearch, SNESLineSearchUserFunc *func, void **ctx)

Not Collective

### Input Parameter

linesearch -the line search object

### Output Parameters

| func | - the user function; can be NULL if you do not want it
| ctx | - the user function context; can be NULL if you do not want it

.seealso: SNESLineSearchShellSetUserFunc()

### Level

advanced

### Location

src/snes/linesearch/impls/shell/linesearchshell.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages